aboutsummaryrefslogtreecommitdiff
path: root/scripts/replay.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/replay.sh')
-rwxr-xr-xscripts/replay.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/replay.sh b/scripts/replay.sh
new file mode 100755
index 0000000..2781e1e
--- /dev/null
+++ b/scripts/replay.sh
@@ -0,0 +1,6 @@
+#!/bin/sh -e
+
+[ "$#" -ne 4 ] && echo "usage: replay.sh <window_id> <fps> <replay_time_sec> <output_directory>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+mkdir -p "$4"
+gpu-screen-recorder -w "$1" -c mkv -f "$2" -a "$active_sink" -r "$3" -o "$4"